﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KotenkovCalc1
{
    public partial class Calculate : Form
    {
        public Calculate()
        {
            InitializeComponent();
        }

        public static double Sum(double a, double b)
        {
            return a + b;
        }
        public static double Substraction(double a, double b)
        {
            return a - b;
        }
        public static double Umnog(double a, double b)
        {
            return a * b;
        }

        public static double Del(double a, double b)
        {
            return a / b;
        }

        public static double Step(double a, double b)
        {
            return Math.Pow(a, b);
        }

        public static double Koren(double a, double b)
        {
            return Math.Pow(a, 1 / b);
        }

        private void Summ_Click(object sender, EventArgs e)
        {
            bool FirtNumIsNum = double.TryParse(FirstNum.Text, out double NumberOne);
            bool SecondNumIsNum = double.TryParse(SecondNum.Text, out double NumberTwo);
            if (FirtNumIsNum && SecondNumIsNum)
            {
                ResultTextBox.Text = Convert.ToString(Sum(Convert.ToDouble(FirstNum.Text), Convert.ToDouble(SecondNum.Text)));
            }
            else
            {
                ResultTextBox.Text = "Error: Введенное значение не является чилом";
            }       
        }

        private void Subtraction_Click(object sender, EventArgs e)
        {
            bool FirtNumIsNum = double.TryParse(FirstNum.Text, out double NumberOne);
            bool SecondNumIsNum = double.TryParse(SecondNum.Text, out double NumberTwo);
            if (FirtNumIsNum && SecondNumIsNum)
            {
                ResultTextBox.Text = Convert.ToString(Substraction(Convert.ToDouble(FirstNum.Text), Convert.ToDouble(SecondNum.Text)));
            }
            else
            {
                ResultTextBox.Text = "Error: Введенное значение не является чилом";
            }
        }

        private void Multiplication_Click(object sender, EventArgs e)
        {
            bool FirtNumIsNum = double.TryParse(FirstNum.Text, out double NumberOne);
            bool SecondNumIsNum = double.TryParse(SecondNum.Text, out double NumberTwo);
            if (FirtNumIsNum && SecondNumIsNum)
            {
                ResultTextBox.Text = Convert.ToString(Umnog(Convert.ToDouble(FirstNum.Text), Convert.ToDouble(SecondNum.Text)));
            }
            else
            {
                ResultTextBox.Text = "Error: Введенное значение не является чилом";
            }
        }

        private void Division_Click(object sender, EventArgs e)
        {
            bool FirtNumIsNum = double.TryParse(FirstNum.Text, out double NumberOne);
            bool SecondNumIsNum = double.TryParse(SecondNum.Text, out double NumberTwo);
            if (FirtNumIsNum && SecondNumIsNum)
            {
                ResultTextBox.Text = Convert.ToString(Del(Convert.ToDouble(FirstNum.Text), Convert.ToDouble(SecondNum.Text)));
            }
            else
            {
                ResultTextBox.Text = "Error: Введенное значение не является чилом";
            }
        }

        private void Degree_Click(object sender, EventArgs e)
        {
            bool FirtNumIsNum = double.TryParse(FirstNum.Text, out double NumberOne);
            bool SecondNumIsNum = double.TryParse(SecondNum.Text, out double NumberTwo);
            if (FirtNumIsNum && SecondNumIsNum)
            {
                ResultTextBox.Text = Convert.ToString(Step(Convert.ToDouble(FirstNum.Text), Convert.ToDouble(SecondNum.Text)));
            }
            else
            {
                ResultTextBox.Text = "Error: Введенное значение не является чилом";
            }
        }

        private void Root_Click(object sender, EventArgs e)
        {
            bool FirtNumIsNum = double.TryParse(FirstNum.Text, out double NumberOne);
            bool SecondNumIsNum = double.TryParse(SecondNum.Text, out double NumberTwo);
            if (FirtNumIsNum && SecondNumIsNum)
            {
                ResultTextBox.Text = Convert.ToString(Koren(Convert.ToDouble(FirstNum.Text), Convert.ToDouble(SecondNum.Text)));
            }
            else
            {
                ResultTextBox.Text = "Error: Введенное значение не является чилом";
            }
        }
    }
};
